:root {
  --color-primary: #2560d8;
  --color-yellow: #e2ee4e;
  --color-red: #ef5311;
  --color-tomato: #ff4f00;
  --color-bg: #fafafa;

  --color-text: #272928;
  --color-subtext: #505251;
  --color-light-text: #7f7f7f;

  --container-width: 1600px;

  --padding-section: clamp(20px, 6vw, 70px);

  --shadow: 0 4px 10px #00000036;
}

/* ================= INTEGRATIONS ================= */
.hero__text{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.integrations {
  margin-top: 80px;
}
.hero__text .hero__text--sub-title{
  margin-bottom: 25px;
  text-align: left;
}

.integration-title .hero__text .hero__text-text{
    text-align: left;
}

/* carousel */
/* Контейнер карусели */
.carousel-container {
  position: relative;
  overflow: hidden;
  padding: 0 50px;
}

.carousel-wrapper {
  overflow: hidden;
}

.carousel-grid {
  display: flex;
  gap: 20px;
  transition: transform 0.3s ease;
}

/* 3 элемента в сетке */
.carousel-grid > * {
  flex: 0 0 calc(33.333% - 14px);
  min-width: 0;
}

/* Кнопки навигации */
.carousel-prev,
.carousel-next {
     position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
    background: var(--color-primary);
    color: white;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 22px;
    transition: all 0.3s ease;
    box-shadow: 0 0px 10px var(--color-primary);
    margin: 1px 8px;
}

.carousel-prev { left: 0; }
.carousel-next { right: 0; }

/* Точки пагинации */
.carousel-dots {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 20px;
  padding-bottom: 5px;
}

.carousel-dot {
  width: 40px;
  height: 8px;
  border-radius: 5px;
  background: #e6e6e6;
  cursor: pointer;
  transition: all 0.3s ease;
}

.carousel-dot.active {
  background: var(--color-light-text);
  transform: scale(1.2);
}

/* Адаптив */
@media (max-width: 768px) {
  .carousel-grid > * {
    flex: 0 0 calc(50% - 10px);
  }
}

@media (max-width: 480px) {
  .carousel-grid > * {
    flex: 0 0 100%;
  }
}

.integration-block.documents{
    padding: 24px 0;
    box-shadow: none;
    background: none;
}
.integration-block {
  background: #fff;
  border-radius: 24px;
  padding: 24px;
  margin-bottom: 32px;
  box-shadow: 0 4px 10px #0000000d;
}

.integration-title {
  text-align: center;
  margin-bottom: 8px;
}

.integration-subtitle {
  text-align: center;
  font-size: 14px;
  color: #6b7280;
  margin-bottom: 32px;
}

.integration-grid {
    padding-top: 2rem;
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(290px, 1fr));
}

.integration-grid--single {
  grid-template-columns: 1fr;
}
.documents .integration-card{
    background: var(--color-bg);
    border: 1px solid #ebebeb;
}
.integration-card, .popular-integration-card {
    padding: 20px;
    border-radius: 16px;
    transition: background 0.3s ease-in-out;
    min-height: 180px;
    max-width: 420px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    border: 1px solid #ebebeb;
    background: #f4f7fe;
}
.popular-integration-card{
    background: white;
}
.integration-card img, .popular-integration-card img {
  background: #f4f7fe;
  padding: 10px 0;
  border-radius: 12px;
  margin-bottom: 12px;
}

.payments img,
.documents img {
  width: auto;
  height: auto;
  background: transparent;
  padding: 0;
}
.integration-card h4 {
  font-size: 18px;
  margin-bottom: 8px;
}

.body-text {
  font-size: 16px;
  color: var(--color-subtext);
}


/* все интеграции */
/* поиск */
.integrations__widgets{
    display: flex;
    gap: 30px;
    flex-direction: column;
}
.tags{
        display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.integrations__widgets-search{
    max-width: 370px;
}
.search{
    display: flex;
    align-items: center;
    gap: 5px;
    position: relative;
}
.search input{
    background: transparent;
    border: none;
    border-bottom: 2px solid var(--color-primary);
    font-size: 16px;
    height: 30px;
    padding-right: 25px;
    width: 100%;
    color: var(--color-subtext);
}
.search input:focus{
    outline: none;
}
.search__close{
    position: absolute;
    right: 0;
    cursor: pointer;
}

.integrations__widgets-categories_item{
    background: #f4f7fe;
    border-radius: 32px;
    cursor: pointer;
    display: inline-block;
    letter-spacing: 0;
    padding: 8px 11px;
}
.integrations__widgets-categories_item:hover {
    background: var(--color-yellow);
    color: var(--color-text);
}

.integration-card.hidden {
  display: none;
}

.integrations__widgets-categories {
  cursor: pointer;
}

.integrations__widgets-categories.active {
  font-weight: bold;
  opacity: 1;
}
.integrations__widgets-categories.active .integrations__widgets-categories_item{
    background: var(--color-yellow);
    font-weight: 500;
}

/* ================= ADAPTIVE ================= */

@media (max-width: 1200px) {
  .integration-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 768px) {
  .integration-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (max-width: 480px) {
  .integration-grid {
    grid-template-columns: 1fr;
  }
}
